package com.eactive.eai.adapter.socket2.protocol.http;

import com.eactive.eai.adapter.socket2.config.SocketAdapterContext;
import com.eactive.eai.adapter.socket2.protocol.TcpAdapterServer;
import com.eactive.eai.adapter.socket2.protocol.http.codec.HttpProtocolCodecFactory;
import org.apache.mina.filter.codec.ProtocolCodecFilter;


public class HttpServer extends TcpAdapterServer {
	public HttpServer(SocketAdapterContext context) throws Exception {
		super(context);
		this.handler = new HttpHandler(this);
		config.getFilterChain().addFirst("codec", new ProtocolCodecFilter(new HttpProtocolCodecFactory(context)));
	}
}
